package com.ruoyi.project.training.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.mapper.TNewemployeeMapper;
import com.ruoyi.project.training.domain.TNewemployee;
import com.ruoyi.project.training.service.ITNewemployeeService;

import javax.annotation.Resource;

/**
 * 新员工培训Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-08
 */
@Service
public class TNewemployeeServiceImpl implements ITNewemployeeService
{
    @Resource
    private TNewemployeeMapper tNewemployeeMapper;

    /**
     * 查询新员工培训
     *
     * @param id 新员工培训ID
     * @return 新员工培训
     */
    @Override
    public TNewemployee selectTNewemployeeById(Long id)
    {
        return tNewemployeeMapper.selectTNewemployeeById(id);
    }

    /**
     * 查询新员工培训列表
     *
     * @param tNewemployee 新员工培训
     * @return 新员工培训
     */
    @Override
    public List<TNewemployee> selectTNewemployeeList(TNewemployee tNewemployee)
    {
        return tNewemployeeMapper.selectTNewemployeeList(tNewemployee);
    }

    /**
     * 新增新员工培训
     *
     * @param tNewemployee 新员工培训
     * @return 结果
     */
    @Override
    public int insertTNewemployee(TNewemployee tNewemployee)
    {
        return tNewemployeeMapper.insertTNewemployee(tNewemployee);
    }

    /**
     * 修改新员工培训
     *
     * @param tNewemployee 新员工培训
     * @return 结果
     */
    @Override
    public int updateTNewemployee(TNewemployee tNewemployee)
    {
        return tNewemployeeMapper.updateTNewemployee(tNewemployee);
    }

    /**
     * 批量删除新员工培训
     *
     * @param ids 需要删除的新员工培训ID
     * @return 结果
     */
    @Override
    public int deleteTNewemployeeByIds(Long[] ids)
    {
        return tNewemployeeMapper.deleteTNewemployeeByIds(ids);
    }

    /**
     * 删除新员工培训信息
     *
     * @param id 新员工培训ID
     * @return 结果
     */
    @Override
    public int deleteTNewemployeeById(Long id)
    {
        return tNewemployeeMapper.deleteTNewemployeeById(id);
    }
}
